curl --request PATCH \
--url https://public-api.stora.co/2025-09/notes/{note_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Updated note content.",
"resource": {
"id": "unit_8667dc92f0d56a80"
},
"metadata": {
"source": "updated"
}
}
'{
"note": {
"id": "note_195h6kfm9ro15lof",
"content": "Updated note content.",
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "tok_7f6e5fb4bb548dbc"
},
"metadata": {
"source": "updated"
},
"resource": {
"id": "unit_8667dc92f0d56a80"
},
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Update an existing note.
Required authorization scope: public.note:write
curl --request PATCH \
--url https://public-api.stora.co/2025-09/notes/{note_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Updated note content.",
"resource": {
"id": "unit_8667dc92f0d56a80"
},
"metadata": {
"source": "updated"
}
}
'{
"note": {
"id": "note_195h6kfm9ro15lof",
"content": "Updated note content.",
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "tok_7f6e5fb4bb548dbc"
},
"metadata": {
"source": "updated"
},
"resource": {
"id": "unit_8667dc92f0d56a80"
},
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.stora.co/llms.txt
Use this file to discover all available pages before exploring further.
Bearer Token necessary to use API
The ID of the note to retrieve
Update Note Request
The content of the note
Show child attributes
Set of key-value pairs for storing additional information on the note. Learn more about metadata.
Show child attributes
Was this page helpful?